VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsAuth

Login by obtaining a new access token

This endpoint is designed to acquire a temporary access token. Submit the auth token in the request body to obtain a new access token. Use this new token for subsequent API calls. Token is set to expire every hour.

POST
/login

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

refreshToken*string

The refresh token issued for the authentication process. It is required to obtain a new access token.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/login" \  -H "Content-Type: application/json" \  -d '{    "refreshToken": "string"  }'
{  "accessToken": "string"}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}